package com.ruoyi.web.pshManage.controller;

import com.alibaba.fastjson.JSONObject;
import com.ruoyi.common.config.RuoYiConfig;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.entity.SysUser;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.common.utils.QiniuUploadUtil;
import com.ruoyi.common.utils.file.FileUploadUtils;
import com.ruoyi.common.utils.file.FileUtils;
import com.ruoyi.framework.config.ServerConfig;
import com.ruoyi.system.service.ISysUserService;
import com.ruoyi.web.pshManage.service.IPshService;
import com.ruoyi.web.sspMarks.domain.ProcessName;
import com.ruoyi.web.sspMarks.domain.SspMarks;
import com.ruoyi.web.sspMarks.service.ISspMarksService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpSession;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @ClassName:SspController
 * @Description:随手拍的控制层
 * @Author:
 * @Date:2021/3/31 9:08
 * @version:V1.0
 */
@Controller
@RequestMapping("/weixin/pshManage")
@CrossOrigin(origins = "*",maxAge = 3600)
public class PshController {

    @Autowired
    private ServerConfig serverConfig;

    @Autowired
    private IPshService pshService;

    @Autowired
    private ISspMarksService sspMarksService;

    @Autowired
    private ISysUserService sysUserService;

    private String prefix = "pshManage";

    /**********************************************************页面跳转*************************************************/
    /**
     * @describe:跳转到列表初始化页
     * @author:
     * @date:2021/3/31&11:07
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goListPage")
    public String goListPage(@RequestParam Map<String, Object> map, HttpSession HttpSession, Model Model) {
        HttpSession.setAttribute("loginName", map.get("loginName").toString());
        HttpSession.setAttribute("projectId", map.get("projectId").toString());
        HttpSession.setAttribute("projectName", map.get("projectName").toString());

        Model.addAttribute("projectId", map.get("projectId").toString());
        Model.addAttribute("projectName", map.get("projectName").toString());
        return prefix + "/sspListPage";
    }

    /**
     * @describe:跳转到列表页发布记录
     * @author:
     * @date:2021/3/31&11:07
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goListPageBack")
    public String goListPageBack(@RequestParam Map<String, Object> map , HttpSession HttpSession , Model Model) {
        Model.addAttribute("searchText", map.containsKey("searchText")?map.get("searchText").toString():"");
        Model.addAttribute("typeChangeText", map.containsKey("typeChangeText")?map.get("typeChangeText").toString():"");
        Model.addAttribute("flowText", map.containsKey("flowText")?map.get("flowText").toString():"");
        Model.addAttribute("projectId", map.containsKey("projectId")?map.get("projectId").toString():HttpSession.getAttribute("projectId"));
        Model.addAttribute("projectName", map.containsKey("projectName")?map.get("projectName").toString():HttpSession.getAttribute("projectName"));
        return prefix + "/sspListPage";
    }

    /**
     * @describe:跳转到列表页我发布
     * @author:
     * @date:2021/3/31&11:07
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goListPageMy")
    public String goListPageMy(@RequestParam Map<String, Object> map , HttpSession HttpSession , Model Model) {
        Model.addAttribute("searchText", map.containsKey("searchText")?map.get("searchText").toString():"");
        Model.addAttribute("typeChangeText", map.containsKey("typeChangeText")?map.get("typeChangeText").toString():"");
        Model.addAttribute("flowText", map.containsKey("flowText")?map.get("flowText").toString():"");
        Model.addAttribute("projectId", map.containsKey("projectId")?map.get("projectId").toString():HttpSession.getAttribute("projectId"));
        Model.addAttribute("projectName", map.containsKey("projectName")?map.get("projectName").toString():HttpSession.getAttribute("projectName"));
        return prefix + "/sspListPageMy";
    }

    /**
     * @describe:跳转到列表页我发布2
     * @author:
     * @date:2021/3/31&11:07
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goListPageMy2")
    public String goListPageMy2(@RequestParam Map<String, Object> map , HttpSession HttpSession , Model Model) {
        Model.addAttribute("searchText", map.containsKey("searchText")?map.get("searchText").toString():"");
        Model.addAttribute("flowText", map.containsKey("flowText")?map.get("flowText").toString():"");
        Model.addAttribute("projectId", map.containsKey("projectId")?map.get("projectId").toString():HttpSession.getAttribute("projectId"));
        Model.addAttribute("projectName", map.containsKey("projectName")?map.get("projectName").toString():HttpSession.getAttribute("projectName"));
        return prefix + "/sspListPageMy2";
    }

    /**
     * 跳转至质量留痕上报页面
     * @param model
     * @return
     */
    @RequestMapping("/goNickedSave")
    public String goNickedSave(String projectName, Model model, HttpSession session) {
        //项目id
        model.addAttribute("projectId",session.getAttribute("projectId"));
        //项目名称
        model.addAttribute("projectName", projectName);
        return prefix + "/reportWithmarks";
    }

    /**
     * 跳转至质量留痕上报页面
     * @param model
     * @return
     */
    @RequestMapping("/goNickedSave2")
    public String goNickedSave2(HttpSession session, Model model, String projectName, String projectId) {
        String ZJUser = "";
        String ZJUserId = "";
        String ZJUserName = "";
        String ZJUserPhone = "";
        if(session.getAttribute("loginName") != null && !"".equals(session.getAttribute("loginName"))){
            String loginName = session.getAttribute("loginName").toString();
            Map<String,Object> user = pshService.queryUserInfo(loginName);
            if(user != null && user.size() > 0){
                ZJUser = user.get("user_name").toString() + "-" + user.get("login_name").toString();
                ZJUserId = user.get("user_id").toString();
                ZJUserName = user.get("user_name").toString();
                ZJUserPhone = user.get("login_name").toString();
            }
        }
        model.addAttribute("ZJUser",ZJUser);
        model.addAttribute("ZJUserId",ZJUserId);
        model.addAttribute("ZJUserName",ZJUserName);
        model.addAttribute("ZJUserPhone",ZJUserPhone);
        model.addAttribute("projectId",projectId != null && !"".equals(projectId)?projectId:session.getAttribute("projectId"));
        model.addAttribute("projectName", projectName);
        return prefix + "/reportWithmarks2";
    }

    /**
     * @describe:跳转到问题整改的页面
     * @author:
     * @date:2021/4/1&10:41
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goChangeSave")
    public String goChangeSave(String projectName, Model Model,HttpSession HttpSession) {
        //项目名称
        Model.addAttribute("projectName", projectName);
        SysUser sysUser = sysUserService.selectUserByUserName(Convert.toStr(HttpSession.getAttribute("loginName")));
        Model.addAttribute("recheckSend", sysUser.getNickName());
        Model.addAttribute("recheckSendUser", sysUser.getPhonenumber());
        return prefix + "/sspChange";
    }

    /********************************************************数据页面跳转************************************************/
    /**
     * @describe:跳转到待整改的页面
     * @author:
     * @date:2021/4/1&11:04
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goStayCheckPageMy")
    public Object goStayCheckPageMy(@RequestParam Map<String, Object> map, Model Model, HttpSession HttpSession) {
        map.put("loginUser", HttpSession.getAttribute("loginName"));
        Model.addAttribute("queryChangeNicked", pshService.queryChangeNicked(map));
        return prefix + "/myChanges";
    }

    /**
     * @describe:跳转到待审核的页面
     * @author:
     * @date:2021/4/1&11:04
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/goStayCheckPage")
    public Object goStayCheckPage(@RequestParam Map<String, Object> map, Model Model, HttpSession HttpSession) {
        map.put("loginUser", HttpSession.getAttribute("loginName"));
        Model.addAttribute("queryChangeNicked", pshService.queryChangeNicked(map));
        return prefix + "/sspStayCheck";
    }

    /**
     * 质量留痕记录审批详情页面
     * @param map
     * @param Model
     * @param HttpSession
     * @return
     */
    @RequestMapping("/sspQualityMarkDetail")
    public Object sspQualityMarkDetail(@RequestParam Map<String, Object> map, Model Model, HttpSession HttpSession) {
        map.put("loginUser", HttpSession.getAttribute("loginName"));
        Model.addAttribute("data", pshService.querySspQualityMarkInfo(map));
        return prefix + "/sspQualityMarkDetail";
    }

    /**********************************************************数据接口*************************************************/
    /**
     * @describe:问题整改的列表接口
     * @author:
     * @date:2021/3/31&9:10
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @RequestMapping("/listSspInfoChanges")
    public Object listSspInfoChanges(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("projectId", HttpSession.getAttribute("projectId"));
        map.put("loginName", HttpSession.getAttribute("loginName"));
        return pshService.listSspInfoChanges(map);
    }

    /**
     * 获取质量留痕数据发布记录
     * @param map
     * @param HttpSession
     * @return
     */
    @ResponseBody
    @RequestMapping("/getSspQualityMark")
    public Object getSspQualityMark(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("projectId", map.containsKey("projectId")?map.get("projectId").toString():HttpSession.getAttribute("projectId"));
        map.put("loginName", HttpSession.getAttribute("loginName"));
        return pshService.querySspQualityMarkList(map);
    }

    /**
     * 获取当前用户提交的质量留痕数据发布记录
     * @param map
     * @param HttpSession
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/getSspQualityMarkMy",method = RequestMethod.POST)
    public Object getSspQualityMarkMy(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("projectId", map.containsKey("projectId")?map.get("projectId").toString():HttpSession.getAttribute("projectId"));
        map.put("loginName", HttpSession.getAttribute("loginName"));
        return pshService.querySspQualityMarkMyList(map);
    }


    /**
     * @describe:查询随手拍信息的列表(问题整改，留痕上报)
     * @author:
     * @date:2021/3/31&9:12
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @PostMapping(value = "/listSspInfoMyNicked")
    public Object listSspInfoMyNicked(@RequestParam Map<String, Object> map, HttpSession HttpSession, SspMarks sspMarks) {
        map.put("projectId", HttpSession.getAttribute("projectId"));
        map.put("createUser", HttpSession.getAttribute("loginName"));
        return pshService.listSspInfoNicked(map);
    }

    /**
     * @describe:新增整改的信息
     * @author:
     * @date:2021/4/1&17:19
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @RequestMapping("/saveChangeMy")
    public Object saveChangeMy(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("createUser", HttpSession.getAttribute("loginName"));
        return pshService.saveSspInfoChanges(map);
    }

    /**
     * 新增留痕数据上报
     *
     * @param sspMarks
     * @param httpSession
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/saveMarksMy", method = RequestMethod.POST)
    public Object saveMarksMy(@RequestBody SspMarks sspMarks, HttpSession httpSession) {
        sspMarks.setProjectId(Integer.parseInt(httpSession.getAttribute("projectId").toString()));
        sspMarks.setCreateUser(httpSession.getAttribute("loginName").toString());
        return sspMarksService.saveMarksAndMore(sspMarks);
    }

    /**
     * 质量留痕数据提交
     *
     * @param jsonObject
     * @param httpSession
     * @return
     */
    @ResponseBody
    @RequestMapping(value = "/saveQualityMark", method = RequestMethod.POST)
    public Map<String,Object> saveQualityMark(@RequestBody JSONObject jsonObject, HttpSession httpSession) {
        Map<String,Object> resultMap = new HashMap<>();
        jsonObject.put("create_user",httpSession.getAttribute("loginName")==null?"":httpSession.getAttribute("loginName").toString());
        if(sspMarksService.saveQualityMark(jsonObject) == 1){
            resultMap.put("code","200");
            resultMap.put("msg","提交成功");
        }else{
            resultMap.put("code","201");
            resultMap.put("msg","提交失败");
        }
        return resultMap;
    }


    /**
     * @describe:七牛文件上传token
     * @author:
     * @date:2021/4/6&14:29
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @RequestMapping("/getToken")
    public String getToken() { return QiniuUploadUtil.getToken();};

    /**
     * @describe:查询用户列表
     * @author:
     * @date:2021/4/6&18:02
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @RequestMapping("/queryUserInfo")
    @ResponseBody
    public Object queryUserInfo(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("loginName", HttpSession.getAttribute("loginName"));
        map.put("projectId", HttpSession.getAttribute("projectId"));
        return pshService.queryUserInfo(map);
    }

    /**
     * 获取项目用户列表
     * @param map
     * @return
     */
    @RequestMapping("/queryUserList")
    @ResponseBody
    public Object queryUserList(@RequestBody Map<String, Object> map){
        return pshService.queryUserList(map);
    }

    /**
     * @describe:修改审核流程的状态
     * @author:
     * @date:2021/4/7&11:39
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @RequestMapping("/updateChange")
    public Object updateChange(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("createUser", HttpSession.getAttribute("loginName"));
        return pshService.updateState(map);
    }

    /**
     * 查询留痕上报页面
     *
     * @param sspMarks
     * @return
     */
    @ResponseBody
    @RequestMapping("/listMarks")
    public Object listMarks(SspMarks sspMarks, HttpSession session) {
        sspMarks.setProjectId(Integer.parseInt(session.getAttribute("projectId").toString()));
        return sspMarksService.queryMarksList(sspMarks);
    }


    /**
     * 回显质量留痕页面
     *
     * @param map
     * @param model
     * @return
     */
    @RequestMapping("/goMarksView")
    public Object goMarksView(@RequestParam Map<String, Object> map, Model model) {
        Map<String, Object> pictureMap = new HashMap<>();
        Map<String, Object> videoMap = new HashMap<>();
        SspMarks sspMarks = new SspMarks();
        sspMarks.setId(map.get("id").toString());
        sspMarks.setCheckState(map.get("numState").toString());
        SspMarks dbSSpMark = sspMarksService.selectSspMarksList(sspMarks).get(0);
        String marksPicture = dbSSpMark.getMarksPicture();
        if(StringUtils.isNotBlank(marksPicture)) {
            List<SspMarks> fileListPicture = sspMarksService.queryPicture(dbSSpMark);
            if(fileListPicture != null && fileListPicture.size() > 0) {
                pictureMap.put("fileListPictureState", "OK");
                pictureMap.put("fileListPicture", fileListPicture);
            } else {
                pictureMap.put("fileListPictureState", "NO");
            }
        }
        if(StringUtils.isNotBlank(dbSSpMark.getMarksVideo())) {
            List<SspMarks> fileListVideo = sspMarksService.queryVideo(dbSSpMark);
            if(fileListVideo != null && fileListVideo.size() > 0) {
                videoMap.put("fileListVideoState", "OK");
                videoMap.put("fileListVideo", fileListVideo);
            } else {
                videoMap.put("fileListVideoState", "NO");
            }
        }
        model.addAttribute("dbSSpMark",dbSSpMark);
        model.addAttribute("pictureMap",pictureMap);
        model.addAttribute("videoMap",videoMap);
        return prefix + "/sspMarkView";
    }


    /**
     * @describe:修改审核流程的状态
     * @author:
     * @date:2021/4/7&11:39
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    @ResponseBody
    @RequestMapping("/sspQualityMarkApprove")
    public Object sspQualityMarkApprove(@RequestParam Map<String, Object> map, HttpSession HttpSession) {
        map.put("loginName", HttpSession.getAttribute("loginName"));
        return pshService.updateSspQualityMarkApprove(map);
    }

    /**
     *获取工程类型
     * @param param
     * @return
     */
    @RequestMapping("/getProjectType")
    @ResponseBody
    public Object selectProjectTypeList(@RequestParam Map<String,Object> param){
        return pshService.selectProjectTypeList(param);
    }

    @RequestMapping("/treesList")
    @ResponseBody
    public Map<String, Object> getFatherNode(ProcessName processName) {
        Map<String, Object> resultMap = new HashMap<>();
        // 查询所有部门信息
        List<ProcessName> treesList = pshService.selectProcessName("0");
        List newTrees = new ArrayList();
        for (ProcessName department : treesList) {
            // 如果pId为0，则该节点为父节点
            if ((department.getParentCode().equals("0"))) {
                // 递归获取父节点下的子节点
                department.setList(getChildrenNode(department.getId(), treesList));
                newTrees.add(department);
            }
        }
        resultMap.put("children", newTrees);
        System.out.println(resultMap);
        return resultMap;
    }

    /**
     * 递归获取子节点下的子节点
     * @param integer 父节点的ID
     * @param treesList 所有菜单树集合
     * @return
     */
    private List<ProcessName> getChildrenNode(String integer, List<ProcessName> treesList) {
        List<ProcessName> newTrees = new ArrayList<ProcessName>();
        for (ProcessName department : treesList) {
            if ((department.getParentCode().equals("0"))) {
                continue;
            }
            if (department.getParentCode().equals(integer)) {
                // 递归获取子节点下的子节点，即设置树控件中的children
                department.setList(getChildrenNode(department.getId(), treesList));
                newTrees.add(department);
            }
        }
        return newTrees;
    }

    /**
     * 查询工程编码、名称
     * @return
     */
    @RequestMapping("selectCodeFromSmark")
    @ResponseBody
    public Object selectCodeFromSmark(String projectId) {
        return pshService.querySmarkCode(projectId);
    }

    /**
     * 通用上传请求（单个）
     */
    @PostMapping("/upload")
    @ResponseBody
    public AjaxResult uploadFile(MultipartFile file) throws Exception
    {
        try
        {
            // 上传文件路径
            String filePath = RuoYiConfig.getUploadPath();
            // 上传并返回新文件名称
            String fileName = FileUploadUtils.upload(filePath, file);
            String url = serverConfig.getUrl() + fileName;
            AjaxResult ajax = AjaxResult.success();
            ajax.put("url", url);
            ajax.put("fileName", fileName);
            ajax.put("newFileName", FileUtils.getName(fileName));
            ajax.put("originalFilename", file.getOriginalFilename());
            return ajax;
        }
        catch (Exception e)
        {
            return AjaxResult.error(e.getMessage());
        }
    }

}
