package com.ruoyi.web.sspManage.mapper;

import com.ruoyi.web.sspMarks.domain.ProcessName;
import com.ruoyi.web.sspMarks.domain.SspMarkfileinfo;
import com.ruoyi.web.sspMarks.domain.SspMarksflow;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @ClassName:sspMapper
 * @Description:随手拍的数据层
 * @Author:
 * @Date:2021/3/30 15:23
 * @version:V1.0
 */
@Repository
public interface SspMapper {

    /**
     * @describe:查询随手拍信息的列表(问题整改)
     * @author:
     * @date:2021/3/30&15:25
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listSspInfoChanges(Map<String, Object> map);


    /**
     * @describe:查询随手拍信息的列表(问题整改，留痕上报)
     * @author:
     * @date:2021/3/30&15:25
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listSspInfoMyNicked(Map<String, Object> map);

    /**
     * @describe:根据id查询相关基本信息
     * @author:
     * @date:2021/4/1&11:15
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public Map<String, Object> queryChangeNickedInfo(Map<String, Object> map);

    /**
     * @describe:根据id查询相关的文件
     * @author:
     * @date:2021/4/1&11:19
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listChangeNickedFile(Map<String, Object> map);

    /**
     * @describe:新增问题整改主表信息
     * @author:
     * @date:2021/3/31&9:22
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspInfoChanges(Map<String, Object> map);

    /**
     * @describe:新增留痕上报主表信息
     * @author:
     * @date:2021/3/31&9:22
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspInfoNicked(Map<String, Object> map);

    /**
     * @describe:修改留痕上报主表信息
     * @author:
     * @date:2021/3/31&9:22
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int updateSmzSspProblemmodify(Map<String, Object> map);

    /**
     * @describe:新增流程信息
     * @author:
     * @date:2021/3/31&9:27
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspAuditInfo(Map<String, Object> map);

    /**
     * @describe:新增文件信息
     * @author:
     * @date:2021/3/31&9:36
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspFileInfo(Map<String, Object> map);

    /**
     * @describe:修改状态
     * @author:
     * @date:2021/4/2&11:28
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int updateState(Map<String, Object> map);

    /**
     * @describe:查询已整改的基本信息
     * @author:
     * @date:2021/4/6&9:57
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public Map<String, Object> queryOpinion(Map<String, Object> map);

    /**
     * @describe:查询已整改的基本信息
     * @author:
     * @date:2021/4/6&9:57
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public Map<String, Object> queryOpinionChange(Map<String, Object> map);

    /**
     * @describe:查询已整改的文件信息
     * @author:
     * @date:2021/4/6&9:59
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listOpinionFile(Map<String, Object> map);

    /**
     * @describe:查询人员的信息
     * @author:
     * @date:2021/4/6&17:18
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listUserInfo(Map<String, Object> map);

    /**
     * 根据用户账号查询用户信息
     * @param loginName
     * @return
     */
    public Map<String,Object> queryUserInfo(String loginName);

    /**
     * 获取项目用户列表
     * @param map
     * @return
     */
    public List<Map<String,Object>> queryUserList(Map<String,Object> map);

    /**
     * @describe:查询负责人的项目归属
     * @author:
     * @date:2021/4/6&17:24
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public Map<String, Object> queryUserProjectInfo(Map<String, Object> map);

    /**
     * @describe:添加驳回的审核意见
     * @author:
     * @date:2021/4/7&15:35
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspAuditInfoReject(Map<String, Object> map);

    /**
     * @describe:添加通过的审核意见
     * @author:
     * @date:2021/4/7&15:35
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public int saveSspAuditInfoPass(Map<String, Object> map);

    /**
     * @describe:查询当前审核流程的信息
     * @author:
     * @date:2021/4/7&16:22
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public Map<String, Object> queryAuditInfo(Map<String, Object> map);

    /**
     * @describe:查询驳回信息
     * @author:
     * @date:2021/4/7&16:22
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public String queryRejectInfo(Map<String, Object> map);


    /**
     * @describe:查询N次提交的图片信息
     * @author:
     * @date:2021/4/7&17:18
     * @version:V1.0
     * @param:
     * @return:
     * @Exception:
     */
    public List<Map<String, Object>> listRejectFile(Map<String, Object> map);


    /**
     * 新增留痕上报流程
     *
     * @param sspMarksflow
     * @return
     */
    int saveSspMarkFlow(SspMarksflow sspMarksflow);

    /**
     * 新增留痕审批文件
     *
     * @param sspMarkfileinfo
     * @return
     */
    int saveMarkFileInfo(SspMarkfileinfo sspMarkfileinfo);


    /**
     * 根据type获取url
     *
     * @return
     */
    Map<String, Object> queryFileInfo(Map<String,Object> map);

    /**
     * 获取质量留痕数据发布记录
     * @param map
     * @return
     */
    List<Map<String,Object>> querySspQualityMarkList(Map<String,Object> map);

    /**
     * 获取当前用户提交的质量留痕数据发布记录
     * @param map
     * @return
     */
    List<Map<String,Object>> querySspQualityMarkMyList(Map<String,Object> map);

    /**
     * 获取质量留痕记录详情
     * @param map
     * @return
     */
    Map<String,Object> querySspQualityMarkInfo(Map<String,Object> map);

    /**
     * 获取质量留痕审批流下一个待审批账号
     * @param map
     * @return
     */
    String querySspQualityMarkApproveNextLoginName(Map<String,Object> map);

    /**
     * 获取质量留痕审批流待审批数量
     */
    int querySspQualityMarkToBeApprovedNum(Map<String,Object> map);

    /**
     * 更新隐蔽工程留痕记录审批流审批状态
     * @param map
     * @return
     */
    int updateSspQualityMarkApproveState(Map<String,Object> map);

    /**
     * 更新隐蔽工程留痕记录审批状态
     * @param map
     * @return
     */
    int updateSspQualityMarkState(Map<String,Object> map);

    /**
     * 查询工程类型列表
     *
     * @param projectType 工程类型信息
     * @return 工程类型集合
     */
    public List<Map<String,Object>> selectProjectTypeList(Map<String,Object> projectType);

    /**
     * 查询关键工序名称列表
     *
     * @param isDel
     * @return
     */
    List<ProcessName> selectProcessName(String isDel);

    /**
     * 根据入工区编码, 查询工程编码
     *
     * @param proId
     * @return
     */
    List<Map<String, Object>> selectCodeFromSmark(String proId);

    /**
     * 查询项目单位
     *
     * @param projectId
     * @return
     */
    List<Map<String, Object>> selectComByProjectId(String projectId);

    /**
     * 查询所有项目人员
     *
     * @param map
     * @return
     */
    List<Map<String, Object>> selectAllProjectUser(Map<String, Object> map);

    /**
     * 查询所有项目人员
     *
     * @param map
     * @return
     */
    List<Map<String, Object>> selectProjectUser(Map<String, Object> map);


}
