package com.ruoyi.web.userLogin.controller;

import com.ruoyi.web.userLogin.service.WxUserLoginService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.http.HttpSession;
import java.util.Map;

/**
 * 微信小程序登录
 */
@Controller
@RequestMapping("/weixin/userLogin/")
public class WxUserLoginController {
    @Autowired
    private WxUserLoginService service;

    /**
     * @Description: 验证登录密码账号
     * @Param: [map]
     * @return: java.lang.Object
     * @Author: wxw
     */
    @RequestMapping(value = "checkPassWord",method = RequestMethod.GET)
    @ResponseBody
    public Object checkPassWord(String username, String password,String openId, HttpSession session){
        return service.checkLogoin(username,password,openId,session);
    }

    /**
    * @Description: 修改密码
    * @Param: [map]
    * @return: java.lang.Object
    * @Author: wxw
    * @Date: 2020/7/7 19:15
    */
    @RequestMapping(value = "updatePassword",method = RequestMethod.POST)
    @ResponseBody
    public Object updatePassword(@RequestParam Map<String,Object> map){
        return service.updataUser(map);
    }

    /**
     * 添加用户openid
     * @param map
     * @return
     */
    @RequestMapping(value = "saveUserOpenId",method = RequestMethod.POST)
    @ResponseBody
    public Object saveUserOpenId(@RequestParam Map<String,Object> map){
        return service.addUserOpenId(map);
    }

    /**
     * 根据openid查询数据
     * @param openId
     * @return
     */
    @RequestMapping(value = "selectUserInfoByOpenId",method = RequestMethod.GET)
    @ResponseBody
    public Object selectUserInfoByOpenId(String openId, HttpSession session){
        return service.getUserInfoByOpenId(openId,session);
    }

    /**
     * 验证手机号码是否已经绑定
     * @param phone
     * @return
     */
    @RequestMapping(value = "checkBindByPhone",method = RequestMethod.GET)
    @ResponseBody
    public Object checkBindByPhone(String phone){
        return service.checkBindByPhone(phone);
    }

    /**
     * 查询出更多功能菜单信息
     * @return
     */
    @RequestMapping("selectMenuList")
    @ResponseBody
    public Object selectMenuList(){
        return service.selectMenuList();
    }

    /**
     * 查询出openid
     * @param code
     * @param appId
     * @return
     */
    @RequestMapping("/getOpenId")
    @ResponseBody
    public Object getOpenId(String code,String appId){
        return service.getOpenId(code,appId);
    }


}
