package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.constant.Constants;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.redis.RedisCache;
import com.yanzhu.jh.trouble.domain.SmzSspProblemmodify;
import com.yanzhu.jh.trouble.service.ISmzSspProblemmodifyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.concurrent.TimeUnit;

@RestController
@RequestMapping("/bgscreen/problemmodify")
public class ProblemmodifyController extends BaseController {
    @Autowired
    private RedisCache redisCache;


    @Autowired
    private ISmzSspProblemmodifyService smzSspProblemmodifyService;

    /**
     * 质量整改-安全分类汇总(按分类)
     * @param deptId
     * @param roleType
     * @return
     */
    @GetMapping("/safetySummary")
    public List<SmzSspProblemmodify> safetySummary(int deptId,int roleType)
    {
        //3集团//4子公司//5监理单位//6总包//7分包
        String key="problemmodify_safetySummary-"+deptId+'-'+roleType;
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return (List<SmzSspProblemmodify>) obj;
        }
        List<SmzSspProblemmodify> list = smzSspProblemmodifyService.selectSummary(deptId,roleType,0);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return list;
    }


    /**
     * 质量整改-质量分类汇总(按分类)
     * @param deptId
     * @param roleType
     * @return
     */
    @GetMapping("/qualitySummary")
    public List<SmzSspProblemmodify> qualitySummary(int deptId,int roleType)
    {
        //3集团//4子公司//5监理单位//6总包//7分包
        String key="problemmodify_qualitySummary-"+deptId+'-'+roleType;
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return (List<SmzSspProblemmodify>) obj;
        }
        List<SmzSspProblemmodify> list = smzSspProblemmodifyService.selectSummary(deptId,roleType,1);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return list;
    }


    /**
     * 质量整改-安全分类汇总(按项目)
     * @param deptId
     * @param roleType
     * @return
     */
    @GetMapping("/safetySummaryByProject")
    public  List<SmzSspProblemmodify>  safetySummaryByProject(int deptId,int roleType)
    {
        //3集团//4子公司//5监理单位//6总包//7分包
        String key="problemmodify_safetySummaryByProject-"+deptId+'-'+roleType;
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return (List<SmzSspProblemmodify>) obj;
        }
        List<SmzSspProblemmodify> list = smzSspProblemmodifyService.selectSummaryByProject(deptId,roleType,0);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return list;
    }


    /**
     * 质量整改-安全分类汇总(按项目)
     * @param deptId
     * @param roleType
     * @return
     */
    @GetMapping("/qualitySummaryByProject")
    public  List<SmzSspProblemmodify>  qualitySummaryByProject(int deptId,int roleType)
    {
        //3集团//4子公司//5监理单位//6总包//7分包
        String key="problemmodify_qualitySummaryByProject-"+deptId+'-'+roleType;
        Object obj=redisCache.getCacheObject(key);
        if(obj!=null){
            return (List<SmzSspProblemmodify>) obj;
        }
        List<SmzSspProblemmodify> list = smzSspProblemmodifyService.selectSummaryByProject(deptId,roleType,0);
        redisCache.setCacheObject(key, list, Constants.BIGSCREEN_QUERY_CACHE, TimeUnit.MINUTES);
        return list;
    }

}
