package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.yanzhu.jh.project.domain.SurProject;
import com.yanzhu.jh.project.service.ISurProjectService;
import com.yanzhu.jh.project.domain.SurProjectBuildNodeData;
import com.yanzhu.jh.project.service.ISurProjectBuildNodeDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/bgscreen/project")
public class ProjectController {

    @Autowired
    private ISurProjectService isurProjectService;

    @Autowired
    private ISurProjectBuildNodeDataService surProjectBuildNodeDataService;

    @GetMapping("findProjectByDept")
    public AjaxResult findProjectByDept(Long deptId){
        SurProject surProject=new SurProject();
        if(deptId!=null &&  deptId.longValue()>0){
            surProject.setDeptId(deptId);
        }
        return AjaxResult.success(isurProjectService.selectSurProjectList(surProject));
    }

    @GetMapping("getProjectBuildNode")
    public AjaxResult getProjectBuildNode(Long projectId){
        SurProjectBuildNodeData nodeData=new SurProjectBuildNodeData();
        nodeData.setProjectId(projectId);
        List list=surProjectBuildNodeDataService.selectSurProjectBuildNodeDataList(nodeData);
        if(list.size()>0){
            return AjaxResult.success(list);
        }
        surProjectBuildNodeDataService.addProjectNodes(projectId);
        list=surProjectBuildNodeDataService.selectSurProjectBuildNodeDataList(nodeData);
        return AjaxResult.success(list);
    }

}
