package com.yanzhu.jh.project.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 建设单位信息对象 sur_project_unit_info
 * 
 * @author JiangYuQi
 * @date 2023-07-30
 */
public class SurProjectUnitInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 项目id */
    @Excel(name = "项目id")
    private Long projectId;

    /** 单位id */
    @Excel(name = "单位id")
    private Long unitId;

    /** 单位分类（1 建设单位 2 设计单位 3 施工单位 4监理单位 5 监测机构） */
    @Excel(name = "单位分类", readConverterExp = "1=,建=设单位,2=,设=计单位,3=,施=工单位,4=监理单位,5=,监=测机构")
    private Long unitType;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String unitName;

    /** 单位负责人名称 */
    @Excel(name = "单位负责人名称")
    private String unitPersonName;

    /** 单位负责人电话 */
    @Excel(name = "单位负责人电话")
    private String unitPersonPhone;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createUser;

    /** 删除状态（0 未删除 1 已删除） */
    private Long delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setUnitType(Long unitType) 
    {
        this.unitType = unitType;
    }

    public Long getUnitType() 
    {
        return unitType;
    }
    public void setUnitName(String unitName) 
    {
        this.unitName = unitName;
    }

    public String getUnitName() 
    {
        return unitName;
    }
    public void setUnitPersonName(String unitPersonName) 
    {
        this.unitPersonName = unitPersonName;
    }

    public String getUnitPersonName() 
    {
        return unitPersonName;
    }
    public void setUnitPersonPhone(String unitPersonPhone) 
    {
        this.unitPersonPhone = unitPersonPhone;
    }

    public String getUnitPersonPhone() 
    {
        return unitPersonPhone;
    }
    public void setCreateUser(String createUser) 
    {
        this.createUser = createUser;
    }

    public String getCreateUser() 
    {
        return createUser;
    }
    public void setDelFlag(Long delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag() 
    {
        return delFlag;
    }

    public Long getUnitId() {
        return unitId;
    }

    public void setUnitId(Long unitId) {
        this.unitId = unitId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("projectId", getProjectId())
            .append("unitId", getUnitId())
            .append("unitType", getUnitType())
            .append("unitName", getUnitName())
            .append("unitPersonName", getUnitPersonName())
            .append("unitPersonPhone", getUnitPersonPhone())
            .append("createUser", getCreateUser())
            .append("createTime", getCreateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
