package com.yanzhu.jh.project.mapper;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProjectWorkSpecial;

/**
 * 项目特种人员Mapper接口
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public interface SurProjectWorkSpecialMapper 
{
    /**
     * 查询项目特种人员
     * 
     * @param id 项目特种人员主键
     * @return 项目特种人员
     */
    public SurProjectWorkSpecial selectSurProjectWorkSpecialById(Long id);

    /**
     * 查询项目特种人员列表
     * 
     * @param surProjectWorkSpecial 项目特种人员
     * @return 项目特种人员集合
     */
    public List<SurProjectWorkSpecial> selectSurProjectWorkSpecialList(SurProjectWorkSpecial surProjectWorkSpecial);

    /**
     * 新增项目特种人员
     * 
     * @param surProjectWorkSpecial 项目特种人员
     * @return 结果
     */
    public int insertSurProjectWorkSpecial(SurProjectWorkSpecial surProjectWorkSpecial);

    /**
     * 修改项目特种人员
     * 
     * @param surProjectWorkSpecial 项目特种人员
     * @return 结果
     */
    public int updateSurProjectWorkSpecial(SurProjectWorkSpecial surProjectWorkSpecial);

    /**
     * 删除项目特种人员
     * 
     * @param id 项目特种人员主键
     * @return 结果
     */
    public int deleteSurProjectWorkSpecialById(Long id);

    /**
     * 批量删除项目特种人员
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSurProjectWorkSpecialByIds(Long[] ids);
}
