package com.yanzhu.jh.project.service;

import java.util.List;
import com.yanzhu.jh.project.domain.SurProject;

/**
 * 项目管理Service接口
 * 
 * @author JiangYuQi
 * @date 2023-07-29
 */
public interface ISurProjectService 
{
    /**
     * 查询项目管理
     * 
     * @param id 项目管理主键
     * @return 项目管理
     */
    public SurProject selectSurProjectById(Long id);

    /**
     * 查询项目管理列表
     * 
     * @param surProject 项目管理
     * @return 项目管理集合
     */
    public List<SurProject> selectSurProjectList(SurProject surProject);

    /**
     * 新增项目管理
     * 
     * @param surProject 项目管理
     * @return 结果
     */
    public int insertSurProject(SurProject surProject);

    /**
     * 修改项目管理
     * 
     * @param surProject 项目管理
     * @return 结果
     */
    public int updateSurProject(SurProject surProject);

    /**
     * 批量删除项目管理
     * 
     * @param ids 需要删除的项目管理主键集合
     * @return 结果
     */
    public int deleteSurProjectByIds(Long[] ids);

    /**
     * 删除项目管理信息
     * 
     * @param id 项目管理主键
     * @return 结果
     */
    public int deleteSurProjectById(Long id);
}
