package com.yanzhu.jh.trouble.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yanzhu.jh.trouble.mapper.SmzSspAuditinfoMapper;
import com.yanzhu.jh.trouble.domain.SmzSspAuditinfo;
import com.yanzhu.jh.trouble.service.ISmzSspAuditinfoService;

/**
 * 随手拍流程信息Service业务层处理
 * 
 * @author JiangYuQi
 * @date 2023-08-07
 */
@Service
public class SmzSspAuditinfoServiceImpl implements ISmzSspAuditinfoService 
{
    @Autowired
    private SmzSspAuditinfoMapper smzSspAuditinfoMapper;

    /**
     * 查询随手拍流程信息
     * 
     * @param id 随手拍流程信息主键
     * @return 随手拍流程信息
     */
    @Override
    public SmzSspAuditinfo selectSmzSspAuditinfoById(Long id)
    {
        return smzSspAuditinfoMapper.selectSmzSspAuditinfoById(id);
    }

    /**
     * 查询随手拍流程信息列表
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 随手拍流程信息
     */
    @Override
    public List<SmzSspAuditinfo> selectSmzSspAuditinfoList(SmzSspAuditinfo smzSspAuditinfo)
    {
        return smzSspAuditinfoMapper.selectSmzSspAuditinfoList(smzSspAuditinfo);
    }

    /**
     * 新增随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    @Override
    public int insertSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo)
    {
        smzSspAuditinfo.setCreateTime(DateUtils.getNowDate());
        return smzSspAuditinfoMapper.insertSmzSspAuditinfo(smzSspAuditinfo);
    }

    /**
     * 修改随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    @Override
    public int updateSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo)
    {
        return smzSspAuditinfoMapper.updateSmzSspAuditinfo(smzSspAuditinfo);
    }

    /**
     * 批量删除随手拍流程信息
     * 
     * @param ids 需要删除的随手拍流程信息主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspAuditinfoByIds(Long[] ids)
    {
        return smzSspAuditinfoMapper.deleteSmzSspAuditinfoByIds(ids);
    }

    /**
     * 删除随手拍流程信息信息
     * 
     * @param id 随手拍流程信息主键
     * @return 结果
     */
    @Override
    public int deleteSmzSspAuditinfoById(Long id)
    {
        return smzSspAuditinfoMapper.deleteSmzSspAuditinfoById(id);
    }
}
