package com.yanzhu.jh.work.domain;

import java.util.List;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 演练培训对象 work_train
 * 
 * @author JiangYuQi
 * @date 2023-08-09
 */
public class WorkTrain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 主图 */
    @Excel(name = "主图")
    private String mainImage;

    /** 工作类型 */
    @Excel(name = "工作类型")
    private String trainType;

    /** 工作性质 */
    @Excel(name = "工作性质")
    private String trainNature;

    /** 工作参与者 */
    @Excel(name = "工作参与者")
    private Long trainParticipants;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beginDate;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endDate;

    /** 删除标识 */
    @Excel(name = "删除标识")
    private Long isDel;

    /** 演训内容 */
    @Excel(name = "演训内容")
    private String trainContent;

    /** 演练培训协同部门信息 */
    private List<WorkTrainDept> workTrainDeptList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setMainImage(String mainImage) 
    {
        this.mainImage = mainImage;
    }

    public String getMainImage() 
    {
        return mainImage;
    }
    public void setTrainType(String trainType) 
    {
        this.trainType = trainType;
    }

    public String getTrainType() 
    {
        return trainType;
    }
    public void setTrainNature(String trainNature) 
    {
        this.trainNature = trainNature;
    }

    public String getTrainNature() 
    {
        return trainNature;
    }
    public void setTrainParticipants(Long trainParticipants) 
    {
        this.trainParticipants = trainParticipants;
    }

    public Long getTrainParticipants() 
    {
        return trainParticipants;
    }
    public void setBeginDate(Date beginDate) 
    {
        this.beginDate = beginDate;
    }

    public Date getBeginDate() 
    {
        return beginDate;
    }
    public void setEndDate(Date endDate) 
    {
        this.endDate = endDate;
    }

    public Date getEndDate() 
    {
        return endDate;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public List<WorkTrainDept> getWorkTrainDeptList()
    {
        return workTrainDeptList;
    }

    public void setWorkTrainDeptList(List<WorkTrainDept> workTrainDeptList)
    {
        this.workTrainDeptList = workTrainDeptList;
    }

    public String getTrainContent() {
        return trainContent;
    }

    public void setTrainContent(String trainContent) {
        this.trainContent = trainContent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("mainImage", getMainImage())
            .append("trainType", getTrainType())
            .append("trainNature", getTrainNature())
            .append("trainParticipants", getTrainParticipants())
            .append("beginDate", getBeginDate())
            .append("endDate", getEndDate())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("workTrainDeptList", getWorkTrainDeptList())
            .toString();
    }
}
